Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages.properties
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages.properties	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages.properties	(revision 26096)
@@ -1,58 +1,90 @@
 TabInfo=Seamark editor
 TabName=Seamarks
-ChanTip=Lateral & Safe Water marks
-HazTip=Cardinal & Isolated Danger marks
-SpecTip=Special Purpose marks
-LightsTip=Lights marks
-PortTip=Port hand marks
-StbdTip=Starboard hand marks
-PrefPortTip=Preferred Port hand marks
-PrefStbdTip=Preferred Starboard hand marks
-SafeWaterTip=Safe Water marks
-NorthTip=North cardinal marks
-SouthTip=South cardinal marks
-EastTip=East cardinal marks
-WestTip=West cardinal marks
-IsolTip=Isolated danger marks
-LighthouseTip=Lighthouse
-MajorLightTip=Major light
-MinorLightTip=Minor light
-LightVesselTip=Light vessel
-LightFloatTip=Light float
-TopmarksTip=Topmarks
-FogSignalsTip=Fog signals
-RadarTip=Radar
-LitTip=Lights
-PillarTip=Pillar buoy
-SparTip=Spar buoy
-CanTip=Can buoy
-ConeTip=Cone buoy
-SphereTip=Sphere buoy
-BarrelTip=Barrel buoy
-FloatTip=Light float
-SuperTip=Super-buoy
-BeaconTip=Beacon
-TowerTip=Beacon tower
-StakeTip=Stake beacon
-PerchTip=Perch beacon
-RegionATip=IALA Region A
-RegionBTip=IALA Region B
-NoTopTip=No topmark
-CanTopTip=Can topmark 
-ConeTopTip=Conical topmark 
-SphereTopTip=Spherical topmark
-XTopTip=X-shape topmark
-NorthTopTip=North cardinal topmark
-SouthTopTip=South cardinal topmark 
-EastTopTip=East cardinal topmark 
-WestTopTip=West cardinal topmark
-Spheres2TopTip=2 spheres topmark
-BoardDayTip=Board daymark
-DiamondDayTip=Diamond daymark
-TriangleDayTip=Triangular daymark
-TriangleInvDayTip=Inverted triangular daymark
-SquareDayTip=Square daymark
-MooringTopTip=Mooring
+Chan=Lateral & Safe Water marks
+Haz=Cardinal & Isolated Danger marks
+Spec=Special Purpose marks
+Lights=Lights marks
+Port=Port hand marks
+Stbd=Starboard hand marks
+PrefPort=Preferred Port hand marks
+PrefStbd=Preferred Starboard hand marks
+SafeWater=Safe Water marks
+North=North cardinal marks
+South=South cardinal marks
+East=East cardinal marks
+West=West cardinal marks
+Isol=Isolated danger marks
+Lighthouse=Lighthouse
+MajorLight=Major light
+MinorLight=Minor light
+LightVessel=Light vessel
+LightFloat=Light float
+Topmarks=Topmarks
+FogSignals=Fog signals
+Radar=Radar
+Lit=Lights
+
+Pillar=Pillar buoy
+Spar=Spar buoy
+Can=Can buoy
+Cone=Cone buoy
+Sphere=Sphere buoy
+Barrel=Barrel buoy
+Float=Light float
+Super=Super-buoy
+Beacon=Beacon
+Tower=Beacon tower
+Stake=Stake beacon
+Perch=Perch beacon
+
+RegionA=IALA Region A
+RegionB=IALA Region B
+
+NoTop=No topmark
+CanTop=Can topmark 
+ConeTop=Conical topmark 
+SphereTop=Spherical topmark
+XTop=X-shape topmark
+NorthTop=North cardinal topmark
+SouthTop=South cardinal topmark 
+EastTop=East cardinal topmark 
+WestTop=West cardinal topmark
+Spheres2Top=2 spheres topmark
+BoardDay=Board daymark
+DiamondDay=Diamond daymark
+TriangleDay=Triangular daymark
+TriangleInvDay=Inverted triangular daymark
+SquareDay=Square daymark
+CircleDay=Circular daymark
+MooringTop=Mooring
+
 SelectNode=Please select a node
 OneNode=Please select only one node
 NoMark=No seamark recognised at this node
+
+NoChar=No character
+FChar=F: Fixed
+FlChar=Fl: Flashing
+LFlChar=LFl: Long flash
+QChar=Q: Quick flashing
+VQChar=VQ: Very quick flashing
+UQChar=UQ: Ultra quick flashing
+AlChar=Al: Alternating
+IsoChar=Iso: Isophased flashing
+OcChar=Oc: Occulting flash
+MoChar=Mo: Morse
+IQChar=IQ: Interrupted quick flashing
+IVQChar=IVQ: Interrupted very quick flashing
+IUQChar=IUQ: Interrupted ultra quick flashing
+Character=Character
+
+NoColour=No colour
+White=White
+Red=Red
+Orange=Orange
+Amber=Amber
+Yellow=Yellow
+Green=Green
+Blue=Blue
+Violet=Violet
+Black=Black
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_de.properties
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_de.properties	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_de.properties	(revision 26096)
@@ -1,58 +1,90 @@
 TabInfo=Seamark editor
 TabName=Seezeichen
-ChanTip=Lateral & Safe Water marks
-HazTip=Cardinal & Isolated Danger marks
-SpecTip=Special Purpose marks
-LightsTip=Lights marks
-PortTip=Backbord
-StbdTip=Steuerbord
-PrefPortTip=Abzweigung Backboard
-PrefStbdTip=Abzweigung Steuerbord
-SafeWaterTip=Safe water marks
-NorthTip=North cardinal marks
-SouthTip=South cardinal marks
-EastTip=East cardinal marks
-WestTip=West cardinal marks
-IsolTip=Isolated danger marks
-LighthouseTip=Leuchtturm
-MajorLightTip=primäres Feuer
-MinorLightTip=sekundäres Feuer
-LightVesselTip=Feuerschiff
-LightFloatTip=Leuchtfloß
-TopmarksTip=Topmarks
-FogSignalsTip=Fog signals
-RadarTip=Radar
-LitTip=Lights
-PillarTip=Bakentonne
-SparTip=Spierentonne
-CanTip=Stumpftonne
-ConeTip=Spitztonne
-SphereTip=Kugeltonne
-BarrelTip=Fasstonne
-FloatTip=Leuchtfloß
-SuperTip=Super-buoy
-BeaconTip=Spiere
-TowerTip=Beacon tower
-StakeTip=Stake beacon
-PerchTip=Pricke
-RegionATip=IALA Region A
-RegionBTip=IALA Region B
-NoTopTip=No topmark
-CanTopTip=Can topmark 
-ConeTopTip=Conical topmark 
-SphereTopTip=Spherical topmark
-XTopTip=X-shape topmark
-NorthTopTip=North cardinal topmark
-SouthTopTip=South cardinal topmark 
-EastTopTip=East cardinal topmark 
-WestTopTip=West cardinal topmark
-Spheres2TopTip=2 spheres topmark
-BoardDayTip=Board daymark
-DiamondDayTip=Diamond daymark
-TriangleDayTip=Triangular daymark
-TriangleInvDayTip=Inverted triangular daymark
-SquareDayTip=Square daymark
-MooringTopTip=Mooring
+Chan=Lateral & Safe Water marks
+Haz=Cardinal & Isolated Danger marks
+Spec=Special Purpose marks
+Lights=Lights marks
+Port=Backbord
+Stbd=Steuerbord
+PrefPort=Abzweigung Backboard
+PrefStbd=Abzweigung Steuerbord
+SafeWater=Safe water marks
+North=North cardinal marks
+South=South cardinal marks
+East=East cardinal marks
+West=West cardinal marks
+Isol=Isolated danger marks
+Lighthouse=Leuchtturm
+MajorLight=primäres Feuer
+MinorLight=sekundäres Feuer
+LightVessel=Feuerschiff
+LightFloat=Leuchtfloß
+Topmarks=Topmarks
+FogSignals=Fog signals
+Radar=Radar
+Lit=Lights
+
+Pillar=Bakentonne
+Spar=Spierentonne
+Can=Stumpftonne
+Cone=Spitztonne
+Sphere=Kugeltonne
+Barrel=Fasstonne
+Float=Leuchtfloß
+Super=Super-buoy
+Beacon=Spiere
+Tower=Beacon tower
+Stake=Stake beacon
+Perch=Pricke
+
+RegionA=IALA Region A
+RegionB=IALA Region B
+
+NoTop=No topmark
+CanTop=Can topmark 
+ConeTop=Conical topmark 
+SphereTop=Spherical topmark
+XTop=X-shape topmark
+NorthTop=North cardinal topmark
+SouthTop=South cardinal topmark 
+EastTop=East cardinal topmark 
+WestTop=West cardinal topmark
+Spheres2Top=2 spheres topmark
+BoardDay=Board daymark
+DiamondDay=Diamond daymark
+TriangleDay=Triangular daymark
+TriangleInvDay=Inverted triangular daymark
+SquareDay=Square daymark
+CircleDay=Circular daymark
+MooringTop=Mooring
+
 SelectNode=Please select a node
 OneNode=Please select only one node
 NoMark=No seamark recognised at this node
+
+NoChar=No character
+FChar=F: Fixed
+FlChar=Fl: Flashing
+LFlChar=LFl: Long flash
+QChar=Q: Quick flashing
+VQChar=VQ: Very quick flashing
+UQChar=UQ: Ultra quick flashing
+AlChar=Al: Alternating
+IsoChar=Iso: Isophased flashing
+OcChar=Oc: Occulting flash
+MoChar=Mo: Morse
+IQChar=IQ: Interrupted quick flashing
+IVQChar=IVQ: Interrupted very quick flashing
+IUQChar=IUQ: Interrupted ultra quick flashing
+Character=Character
+
+NoColour=No colour
+White=White
+Red=Red
+Orange=Orange
+Amber=Amber
+Yellow=Yellow
+Green=Green
+Blue=Blue
+Violet=Violet
+Black=Black
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_en.properties
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_en.properties	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/msg/messages_en.properties	(revision 26096)
@@ -1,58 +1,90 @@
 TabInfo=Seamark editor
 TabName=Seamarks
-ChanTip=Lateral & Safe Water marks
-HazTip=Cardinal & Isolated Danger marks
-SpecTip=Special Purpose marks
-LightsTip=Lights marks
-PortTip=Port hand marks
-StbdTip=Starboard hand marks
-PrefPortTip=Preferred Port hand marks
-PrefStbdTip=Preferred Starboard hand marks
-SafeWaterTip=Safe Water marks
-NorthTip=North cardinal marks
-SouthTip=South cardinal marks
-EastTip=East cardinal marks
-WestTip=West cardinal marks
-IsolTip=Isolated danger marks
-LighthouseTip=Lighthouse
-MajorLightTip=Major light
-MinorLightTip=Minor light
-LightVesselTip=Light vessel
-LightFloatTip=Light float
-TopmarksTip=Topmarks
-FogSignalsTip=Fog signals
-RadarTip=Radar
-LitTip=Lights
-PillarTip=Pillar buoy
-SparTip=Spar buoy
-CanTip=Can buoy
-ConeTip=Cone buoy
-SphereTip=Sphere buoy
-BarrelTip=Barrel buoy
-FloatTip=Light float
-SuperTip=Super-buoy
-BeaconTip=Beacon
-TowerTip=Beacon tower
-StakeTip=Stake beacon
-PerchTip=Perch beacon
-RegionATip=IALA Region A
-RegionBTip=IALA Region B
-NoTopTip=No topmark
-CanTopTip=Can topmark 
-ConeTopTip=Conical topmark 
-SphereTopTip=Spherical topmark
-XTopTip=X-shape topmark
-NorthTopTip=North cardinal topmark
-SouthTopTip=South cardinal topmark 
-EastTopTip=East cardinal topmark 
-WestTopTip=West cardinal topmark
-Spheres2TopTip=2 spheres topmark
-BoardDayTip=Board daymark
-DiamondDayTip=Diamond daymark
-TriangleDayTip=Triangular daymark
-TriangleInvDayTip=Inverted triangular daymark
-SquareDayTip=Square daymark
-MooringTopTip=Mooring
+Chan=Lateral & Safe Water marks
+Haz=Cardinal & Isolated Danger marks
+Spec=Special Purpose marks
+Lights=Lights marks
+Port=Port hand marks
+Stbd=Starboard hand marks
+PrefPort=Preferred Port hand marks
+PrefStbd=Preferred Starboard hand marks
+SafeWater=Safe Water marks
+North=North cardinal marks
+South=South cardinal marks
+East=East cardinal marks
+West=West cardinal marks
+Isol=Isolated danger marks
+Lighthouse=Lighthouse
+MajorLight=Major light
+MinorLight=Minor light
+LightVessel=Light vessel
+LightFloat=Light float
+Topmarks=Topmarks
+FogSignals=Fog signals
+Radar=Radar
+Lit=Lights
+
+Pillar=Pillar buoy
+Spar=Spar buoy
+Can=Can buoy
+Cone=Cone buoy
+Sphere=Sphere buoy
+Barrel=Barrel buoy
+Float=Light float
+Super=Super-buoy
+Beacon=Beacon
+Tower=Beacon tower
+Stake=Stake beacon
+Perch=Perch beacon
+
+RegionA=IALA Region A
+RegionB=IALA Region B
+
+NoTop=No topmark
+CanTop=Can topmark 
+ConeTop=Conical topmark 
+SphereTop=Spherical topmark
+XTop=X-shape topmark
+NorthTop=North cardinal topmark
+SouthTop=South cardinal topmark 
+EastTop=East cardinal topmark 
+WestTop=West cardinal topmark
+Spheres2Top=2 spheres topmark
+BoardDay=Board daymark
+DiamondDay=Diamond daymark
+TriangleDay=Triangular daymark
+TriangleInvDay=Inverted triangular daymark
+SquareDay=Square daymark
+CircleDay=Circular daymark
+MooringTop=Mooring
+
 SelectNode=Please select a node
 OneNode=Please select only one node
 NoMark=No seamark recognised at this node
+
+NoChar=No character
+FChar=F: Fixed
+FlChar=Fl: Flashing
+LFlChar=LFl: Long flash
+QChar=Q: Quick flashing
+VQChar=VQ: Very quick flashing
+UQChar=UQ: Ultra quick flashing
+AlChar=Al: Alternating
+IsoChar=Iso: Isophased flashing
+OcChar=Oc: Occulting flash
+MoChar=Mo: Morse
+IQChar=IQ: Interrupted quick flashing
+IVQChar=IVQ: Interrupted very quick flashing
+IUQChar=IUQ: Interrupted ultra quick flashing
+Character=Character
+
+NoColour=No colour
+White=White
+Red=Red
+Orange=Orange
+Amber=Amber
+Yellow=Yellow
+Green=Green
+Blue=Blue
+Violet=Violet
+Black=Black
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 26096)
@@ -205,9 +205,9 @@
 		this.add(panelStbd, null);
 		this.add(panelSaw, null);
-		this.add(getCatButton(portButton, 0, 0, 52, 32, "PortTip"), null);
-		this.add(getCatButton(stbdButton, 0, 32, 52, 32, "StbdTip"), null);
-		this.add(getCatButton(prefPortButton, 0, 64, 52, 32, "PrefPortTip"), null);
-		this.add(getCatButton(prefStbdButton, 0, 96, 52, 32, "PrefStbdTip"), null);
-		this.add(getCatButton(safeWaterButton, 0, 128, 52, 32, "SafeWaterTip"), null);
+		this.add(getCatButton(portButton, 0, 0, 52, 32, "Port"), null);
+		this.add(getCatButton(stbdButton, 0, 32, 52, 32, "Stbd"), null);
+		this.add(getCatButton(prefPortButton, 0, 64, 52, 32, "PrefPort"), null);
+		this.add(getCatButton(prefStbdButton, 0, 96, 52, 32, "PrefStbd"), null);
+		this.add(getCatButton(safeWaterButton, 0, 128, 52, 32, "SafeWater"), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 26096)
@@ -17,7 +17,6 @@
 import java.util.EnumMap;
 import java.util.EnumSet;
-import java.util.HashMap;
-import java.util.Map;
 
+import oseam.Messages;
 import oseam.dialogs.OSeaMAction;
 import oseam.seamarks.SeaMark.Chr;
@@ -59,11 +58,7 @@
 				}
 			}
-			charBox.setText("");
-			for (EnumSet<Chr> map : SeaMark.ChrMAP.keySet()) {
-				if (map.equals(combo)) {
-					charBox.setText(SeaMark.ChrMAP.get(map));
-				}
-			}
-			if (charBox.getText().isEmpty()) {
+			if (SeaMark.ChrMAP.containsKey(combo)) {
+				charBox.setText(SeaMark.ChrMAP.get(combo));
+			} else {
 				for (Chr chr : buttons.keySet()) {
 					JToggleButton button = buttons.get(chr);
@@ -106,21 +101,21 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getChrButton(noneButton, 0, 0, 44, 16, "No character", Chr.UNKNOWN), null);
-		this.add(getChrButton(fixedButton, 0, 16, 44, 16, "F: Fixed", Chr.FIXED), null);
-		this.add(getChrButton(flashButton, 0, 32, 44, 16, "Fl: Flashing", Chr.FLASH), null);
-		this.add(getChrButton(longFlashButton, 0, 48, 44, 16, "LFl: Long flash", Chr.LONGFLASH), null);
-		this.add(getChrButton(quickButton, 0, 64, 44, 16, "Q: Quick flashing", Chr.QUICK), null);
-		this.add(getChrButton(veryQuickButton, 0, 80, 44, 16, "VQ: Very quick flashing", Chr.VERYQUICK), null);
-		this.add(getChrButton(ultraQuickButton, 0, 96, 44, 16, "UQ: Ultra quick flashing", Chr.ULTRAQUICK), null);
-		this.add(getChrButton(alternatingButton, 44, 0, 44, 16, "Al: Alternating", Chr.ALTERNATING), null);
-		this.add(getChrButton(isophasedButton, 44, 16, 44, 16, "Iso: Isophased flashing", Chr.ISOPHASED), null);
-		this.add(getChrButton(occultingButton, 44, 32, 44, 16, "Oc: Occulting flash", Chr.OCCULTING), null);
-		this.add(getChrButton(morseButton, 44, 48, 44, 16, "Mo: Morse", Chr.MORSE), null);
-		this.add(getChrButton(interruptedQuickButton, 44, 64, 44, 16, "IQ: Interrupted quick flashing", Chr.INTERRUPTEDQUICK), null);
-		this.add(getChrButton(interruptedVeryQuickButton, 44, 80, 44, 16, "IVQ: Interrupted very quick flashing", Chr.INTERRUPTEDVERYQUICK), null);
-		this.add(getChrButton(interruptedUltraQuickButton, 44, 96, 44, 16, "IUQ: Interrupted ultra quick flashing", Chr.INTERRUPTEDULTRAQUICK), null);
+		this.add(getChrButton(noneButton, 0, 0, 44, 16, Messages.getString("NoChar"), Chr.UNKNOWN), null);
+		this.add(getChrButton(fixedButton, 0, 16, 44, 16, Messages.getString("FChar"), Chr.FIXED), null);
+		this.add(getChrButton(flashButton, 0, 32, 44, 16, Messages.getString("FlChar"), Chr.FLASH), null);
+		this.add(getChrButton(longFlashButton, 0, 48, 44, 16, Messages.getString("LFlChar"), Chr.LONGFLASH), null);
+		this.add(getChrButton(quickButton, 0, 64, 44, 16, Messages.getString("QChar"), Chr.QUICK), null);
+		this.add(getChrButton(veryQuickButton, 0, 80, 44, 16, Messages.getString("VQChar"), Chr.VERYQUICK), null);
+		this.add(getChrButton(ultraQuickButton, 0, 96, 44, 16, Messages.getString("UQChar"), Chr.ULTRAQUICK), null);
+		this.add(getChrButton(alternatingButton, 44, 0, 44, 16, Messages.getString("AlChar"), Chr.ALTERNATING), null);
+		this.add(getChrButton(isophasedButton, 44, 16, 44, 16, Messages.getString("IsoChar"), Chr.ISOPHASED), null);
+		this.add(getChrButton(occultingButton, 44, 32, 44, 16, Messages.getString("OcChar"), Chr.OCCULTING), null);
+		this.add(getChrButton(morseButton, 44, 48, 44, 16, Messages.getString("MoChar"), Chr.MORSE), null);
+		this.add(getChrButton(interruptedQuickButton, 44, 64, 44, 16, Messages.getString("IQChar"), Chr.INTERRUPTEDQUICK), null);
+		this.add(getChrButton(interruptedVeryQuickButton, 44, 80, 44, 16, Messages.getString("IVQChar"), Chr.INTERRUPTEDVERYQUICK), null);
+		this.add(getChrButton(interruptedUltraQuickButton, 44, 96, 44, 16, Messages.getString("IUQChar"), Chr.INTERRUPTEDULTRAQUICK), null);
 		charLabel.setBounds(new Rectangle(0, 113, 88, 20));
 		charLabel.setHorizontalAlignment(SwingConstants.CENTER);
-		charLabel.setText("Character");
+		charLabel.setText(Messages.getString("Character"));
 		this.add(charLabel, null);
 		charBox.setBounds(new Rectangle(20, 135, 50, 20));
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 26096)
@@ -15,4 +15,5 @@
 import java.util.EnumMap;
 
+import oseam.Messages;
 import oseam.dialogs.OSeaMAction;
 import oseam.seamarks.SeaMark.Col;
@@ -52,14 +53,14 @@
 		ent = entity;
 		this.setLayout(null);
-		this.add(getColButton(offButton, 0, 0, 34, 16, "No colour", Col.UNKNOWN), null);
-		this.add(getColButton(whiteButton, 0, 16, 34, 16, "White", Col.WHITE), null);
-		this.add(getColButton(redButton, 0, 32, 34, 16, "Red", Col.RED), null);
-		this.add(getColButton(orangeButton, 0, 48, 34, 16, "Orange", Col.ORANGE), null);
-		this.add(getColButton(amberButton, 0, 64, 34, 16, "Amber", Col.AMBER), null);
-		this.add(getColButton(yellowButton, 0, 80, 34, 16, "Yellow", Col.YELLOW), null);
-		this.add(getColButton(greenButton, 0, 96, 34, 16, "Green", Col.GREEN), null);
-		this.add(getColButton(blueButton, 0, 112, 34, 16, "Blue", Col.BLUE), null);
-		this.add(getColButton(violetButton, 0, 128, 34, 16, "Violet", Col.VIOLET), null);
-		this.add(getColButton(blackButton, 0, 144, 34, 16, "Black", Col.BLACK), null);
+		this.add(getColButton(offButton, 0, 0, 34, 16, Messages.getString("NoColour"), Col.UNKNOWN), null);
+		this.add(getColButton(whiteButton, 0, 16, 34, 16, Messages.getString("White"), Col.WHITE), null);
+		this.add(getColButton(redButton, 0, 32, 34, 16, Messages.getString("Red"), Col.RED), null);
+		this.add(getColButton(orangeButton, 0, 48, 34, 16, Messages.getString("Orange"), Col.ORANGE), null);
+		this.add(getColButton(amberButton, 0, 64, 34, 16, Messages.getString("Amber"), Col.AMBER), null);
+		this.add(getColButton(yellowButton, 0, 80, 34, 16, Messages.getString("Yellow"), Col.YELLOW), null);
+		this.add(getColButton(greenButton, 0, 96, 34, 16, Messages.getString("Green"), Col.GREEN), null);
+		this.add(getColButton(blueButton, 0, 112, 34, 16, Messages.getString("Blue"), Col.BLUE), null);
+		this.add(getColButton(violetButton, 0, 128, 34, 16, Messages.getString("Violet"), Col.VIOLET), null);
+		this.add(getColButton(blackButton, 0, 144, 34, 16, Messages.getString("Black"), Col.BLACK), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java	(revision 26096)
@@ -122,15 +122,15 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getCatButton(northButton, 0, 0, 52, 32, "NorthTip"), null);
-		this.add(getCatButton(southButton, 0, 32, 52, 32, "SouthTip"), null);
-		this.add(getCatButton(eastButton, 0, 64, 52, 32, "EastTip"), null);
-		this.add(getCatButton(westButton, 0, 96, 52, 32, "WestTip"), null);
-		this.add(getCatButton(isolButton, 0, 128, 52, 32, "IsolTip"), null);
+		this.add(getCatButton(northButton, 0, 0, 52, 32, "North"), null);
+		this.add(getCatButton(southButton, 0, 32, 52, 32, "South"), null);
+		this.add(getCatButton(eastButton, 0, 64, 52, 32, "East"), null);
+		this.add(getCatButton(westButton, 0, 96, 52, 32, "West"), null);
+		this.add(getCatButton(isolButton, 0, 128, 52, 32, "Isol"), null);
 
-		this.add(getShapeButton(pillarButton, 55, 0, 34, 32, "PillarTip", Shp.PILLAR, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(sparButton, 55, 32, 34, 32, "SparTip", Shp.SPAR, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(floatButton, 55, 64, 34, 32, "FloatTip", Shp.FLOAT, Obj.LITFLT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 55, 96, 34, 32, "BeaconTip", Shp.BEACON, Obj.BCNCAR, Obj.BCNISD), null);
-		this.add(getShapeButton(towerButton, 55, 128, 34, 32, "TowerTip", Shp.TOWER, Obj.BCNCAR, Obj.BCNISD), null);
+		this.add(getShapeButton(pillarButton, 55, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYCAR, Obj.BOYISD), null);
+		this.add(getShapeButton(sparButton, 55, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYCAR, Obj.BOYISD), null);
+		this.add(getShapeButton(floatButton, 55, 64, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT, Obj.LITFLT), null);
+		this.add(getShapeButton(beaconButton, 55, 96, 34, 32, "Beacon", Shp.BEACON, Obj.BCNCAR, Obj.BCNISD), null);
+		this.add(getShapeButton(towerButton, 55, 128, 34, 32, "Tower", Shp.TOWER, Obj.BCNCAR, Obj.BCNISD), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java	(revision 26096)
@@ -48,9 +48,9 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getCatButton(houseButton, 0, 0, 34, 32, "LighthouseTip", Cat.LIGHT_HOUSE, Obj.LNDMRK), null);
-		this.add(getCatButton(majorButton, 0, 32, 34, 32, "MajorLightTip", Cat.LIGHT_MAJOR, Obj.LITMAJ), null);
-		this.add(getCatButton(minorButton, 0, 64, 34, 32, "MinorLightTip", Cat.LIGHT_MINOR, Obj.LITMIN), null);
-		this.add(getCatButton(vesselButton, 0, 96, 34, 32, "LightVesselTip", Cat.LIGHT_VESSEL, Obj.LITVES), null);
-		this.add(getCatButton(stationButton, 0, 128, 34, 32, "SignalStationTip", Cat.SIGNAL_STATION, Obj.SIGSTA), null);
+		this.add(getCatButton(houseButton, 0, 0, 34, 32, "Lighthouse", Cat.LIGHT_HOUSE, Obj.LNDMRK), null);
+		this.add(getCatButton(majorButton, 0, 32, 34, 32, "MajorLight", Cat.LIGHT_MAJOR, Obj.LITMAJ), null);
+		this.add(getCatButton(minorButton, 0, 64, 34, 32, "MinorLight", Cat.LIGHT_MINOR, Obj.LITMIN), null);
+		this.add(getCatButton(vesselButton, 0, 96, 34, 32, "LightVessel", Cat.LIGHT_VESSEL, Obj.LITVES), null);
+		this.add(getCatButton(stationButton, 0, 128, 34, 32, "SignalStation", Cat.SIGNAL_STATION, Obj.SIGSTA), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 26096)
@@ -96,8 +96,8 @@
 		this.add(fogIcon, null);
 
-		this.add(getButton(chanButton, 0, 0, 62, 40, "ChanTip"), null);
-		this.add(getButton(hazButton, 0, 40, 62, 40, "HazTip"), null);
-		this.add(getButton(specButton, 0, 80, 62, 40, "SpecTip"), null);
-		this.add(getButton(lightsButton, 0, 120, 62, 40, "LightsTip"), null);
+		this.add(getButton(chanButton, 0, 0, 62, 40, "Chan"), null);
+		this.add(getButton(hazButton, 0, 40, 62, 40, "Haz"), null);
+		this.add(getButton(specButton, 0, 80, 62, 40, "Spec"), null);
+		this.add(getButton(lightsButton, 0, 120, 62, 40, "Lights"), null);
 		this.add(panelChan, null);
 		this.add(panelHaz, null);
@@ -170,8 +170,8 @@
 		lightsButton.addActionListener(alType);
 
-		this.add(getButton(topButton, 0, 165, 34, 32, "TopmarksTip"), null);
-		this.add(getButton(fogButton, 0, 205, 34, 32, "FogSignalsTip"), null);
-		this.add(getButton(radButton, 0, 245, 34, 32, "RadarTip"), null);
-		this.add(getButton(litButton, 0, 285, 34, 32, "LitTip"), null);
+		this.add(getButton(topButton, 0, 165, 34, 32, "Topmarks"), null);
+		this.add(getButton(fogButton, 0, 205, 34, 32, "FogSignals"), null);
+		this.add(getButton(radButton, 0, 245, 34, 32, "Radar"), null);
+		this.add(getButton(litButton, 0, 285, 34, 32, "Lit"), null);
 		miscButtons = new ButtonGroup();
 		miscButtons.add(topButton);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 26096)
@@ -60,13 +60,13 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getRegionButton(regionAButton, 0, 2, 34, 30, "RegionATip"), null);
-		this.add(getRegionButton(regionBButton, 0, 32, 34, 30, "RegionBTip"), null);
-		this.add(getShapeButton(pillarButton, 0, 64, 34, 32, "PillarTip", Shp.PILLAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(sparButton, 0, 96, 34, 32, "SparTip", Shp.SPAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(canButton, 0, 128, 34, 32, "CanTip", Shp.CAN, Obj.BOYLAT), null);
-		this.add(getShapeButton(floatButton, 35, 0, 34, 32, "FloatTip", Shp.FLOAT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 35, 32, 34, 32, "BeaconTip", Shp.BEACON, Obj.BCNLAT), null);
-		this.add(getShapeButton(towerButton, 35, 64, 34, 32, "TowerTip", Shp.TOWER, Obj.BCNLAT), null);
-		this.add(getShapeButton(perchButton, 35, 96, 34, 32, "PerchTip", Shp.PERCH, Obj.BCNLAT), null);
+		this.add(getRegionButton(regionAButton, 0, 2, 34, 30, "RegionA"), null);
+		this.add(getRegionButton(regionBButton, 0, 32, 34, 30, "RegionB"), null);
+		this.add(getShapeButton(pillarButton, 0, 64, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT), null);
+		this.add(getShapeButton(sparButton, 0, 96, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT), null);
+		this.add(getShapeButton(canButton, 0, 128, 34, 32, "Can", Shp.CAN, Obj.BOYLAT), null);
+		this.add(getShapeButton(floatButton, 35, 0, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT), null);
+		this.add(getShapeButton(beaconButton, 35, 32, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT), null);
+		this.add(getShapeButton(towerButton, 35, 64, 34, 32, "Tower", Shp.TOWER, Obj.BCNLAT), null);
+		this.add(getShapeButton(perchButton, 35, 96, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java	(revision 26096)
@@ -48,9 +48,9 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "PillarTip", Shp.PILLAR, Obj.BOYSAW), null);
-		this.add(getShapeButton(sparButton, 0, 32, 34, 32, "SparTip", Shp.SPAR, Obj.BOYSAW), null);
-		this.add(getShapeButton(sphereButton, 0, 64, 34, 32, "SphereTip", Shp.SPHERE, Obj.BOYSAW), null);
-		this.add(getShapeButton(barrelButton, 0, 96, 34, 32, "BarrelTip", Shp.BARREL, Obj.BOYSAW), null);
-		this.add(getShapeButton(floatButton, 0, 128, 34, 32, "FloatTip", Shp.FLOAT, Obj.LITFLT), null);
+		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSAW), null);
+		this.add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYSAW), null);
+		this.add(getShapeButton(sphereButton, 0, 64, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSAW), null);
+		this.add(getShapeButton(barrelButton, 0, 96, 34, 32, "Barrel", Shp.BARREL, Obj.BOYSAW), null);
+		this.add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 26096)
@@ -59,14 +59,14 @@
 		this.setLayout(null);
 		this.add(panelCol, null);
-		this.add(getShapeButton(pillarButton, 55, 0, 34, 32, "PillarTip", Shp.PILLAR, Obj.BOYSPP), null);
-		this.add(getShapeButton(sparButton, 55, 32, 34, 32, "SparTip", Shp.SPAR, Obj.BOYSPP), null);
-		this.add(getShapeButton(canButton, 55, 64, 34, 32, "CanTip", Shp.CAN, Obj.BOYSPP), null);
-		this.add(getShapeButton(coneButton, 55, 96, 34, 32, "ConeTip", Shp.CONE, Obj.BOYSPP), null);
-		this.add(getShapeButton(sphereButton, 55, 128, 34, 32, "SphereTip", Shp.SPHERE, Obj.BOYSPP), null);
-		this.add(getShapeButton(barrelButton, 90, 0, 34, 32, "BarrelTip", Shp.BARREL, Obj.BOYSPP), null);
-		this.add(getShapeButton(superButton, 90, 32, 34, 32, "SuperTip", Shp.SUPER, Obj.BOYSPP), null);
-		this.add(getShapeButton(floatButton, 90, 64, 34, 32, "FloatTip", Shp.FLOAT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 90, 96, 34, 32, "BeaconTip", Shp.BEACON, Obj.BCNSPP), null);
-		this.add(getShapeButton(towerButton, 90, 128, 34, 32, "TowerTip", Shp.TOWER, Obj.BCNSPP), null);
+		this.add(getShapeButton(pillarButton, 55, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSPP), null);
+		this.add(getShapeButton(sparButton, 55, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYSPP), null);
+		this.add(getShapeButton(canButton, 55, 64, 34, 32, "Can", Shp.CAN, Obj.BOYSPP), null);
+		this.add(getShapeButton(coneButton, 55, 96, 34, 32, "Cone", Shp.CONE, Obj.BOYSPP), null);
+		this.add(getShapeButton(sphereButton, 55, 128, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSPP), null);
+		this.add(getShapeButton(barrelButton, 90, 0, 34, 32, "Barrel", Shp.BARREL, Obj.BOYSPP), null);
+		this.add(getShapeButton(superButton, 90, 32, 34, 32, "Super", Shp.SUPER, Obj.BOYSPP), null);
+		this.add(getShapeButton(floatButton, 90, 64, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT), null);
+		this.add(getShapeButton(beaconButton, 90, 96, 34, 32, "Beacon", Shp.BEACON, Obj.BCNSPP), null);
+		this.add(getShapeButton(towerButton, 90, 128, 34, 32, "Tower", Shp.TOWER, Obj.BCNSPP), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 26096)
@@ -60,13 +60,13 @@
 		dlg = dia;
 		this.setLayout(null);
-		this.add(getRegionButton(regionAButton, 0, 2, 34, 30, "RegionATip"), null);
-		this.add(getRegionButton(regionBButton, 0, 32, 34, 30, "RegionBTip"), null);
-		this.add(getShapeButton(pillarButton, 0, 64, 34, 32, "PillarTip", Shp.PILLAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(sparButton, 0, 96, 34, 32, "SparTip", Shp.SPAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(coneButton, 0, 128, 34, 32, "ConeTip", Shp.CONE, Obj.BOYLAT), null);
-		this.add(getShapeButton(floatButton, 35, 0, 34, 32, "FloatTip", Shp.FLOAT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 35, 32, 34, 32, "BeaconTip", Shp.BEACON, Obj.BCNLAT), null);
-		this.add(getShapeButton(towerButton, 35, 64, 34, 32, "TowerTip", Shp.TOWER, Obj.BCNLAT), null);
-		this.add(getShapeButton(perchButton, 35, 96, 34, 32, "PerchTip", Shp.PERCH, Obj.BCNLAT), null);
+		this.add(getRegionButton(regionAButton, 0, 2, 34, 30, "RegionA"), null);
+		this.add(getRegionButton(regionBButton, 0, 32, 34, 30, "RegionB"), null);
+		this.add(getShapeButton(pillarButton, 0, 64, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT), null);
+		this.add(getShapeButton(sparButton, 0, 96, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT), null);
+		this.add(getShapeButton(coneButton, 0, 128, 34, 32, "Cone", Shp.CONE, Obj.BOYLAT), null);
+		this.add(getShapeButton(floatButton, 35, 0, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT), null);
+		this.add(getShapeButton(beaconButton, 35, 32, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT), null);
+		this.add(getShapeButton(towerButton, 35, 64, 34, 32, "Tower", Shp.TOWER, Obj.BCNLAT), null);
+		this.add(getShapeButton(perchButton, 35, 96, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 26096)
@@ -72,21 +72,21 @@
 		this.setLayout(null);
 		this.add(panelCol, null);
-		this.add(getTopButton(noTopButton, 40, 5, 27, 27, "NoTopTip", Top.NONE), null);
-		this.add(getTopButton(canTopButton, 70, 5, 27, 27, "CanTopTip", Top.CAN), null);
-		this.add(getTopButton(coneTopButton, 100, 5, 27, 27, "ConeTopTip", Top.CONE), null);
-		this.add(getTopButton(sphereTopButton, 130, 5, 27, 27, "SphereTopTip", Top.SPHERE), null);
-		this.add(getTopButton(XTopButton, 160, 5, 27, 27, "XTopTip", Top.X_SHAPE), null);
-		this.add(getTopButton(northTopButton, 40, 35, 27, 27, "NorthTopTip", Top.NORTH), null);
-		this.add(getTopButton(southTopButton, 70, 35, 27, 27, "SouthTopTip", Top.SOUTH), null);
-		this.add(getTopButton(eastTopButton, 100, 35, 27, 27, "EastTopTip", Top.EAST), null);
-		this.add(getTopButton(westTopButton, 130, 35, 27, 27, "WestTopTip", Top.WEST), null);
-		this.add(getTopButton(spheres2TopButton, 160, 35, 27, 27, "Spheres2TopTip", Top.SPHERES2), null);
-		this.add(getDayButton(boardDayButton, 40, 65, 27, 27, "BoardDayTip", Day.BOARD), null);
-		this.add(getDayButton(diamondDayButton, 70, 65, 27, 27, "DiamondDayTip", Day.DIAMOND), null);
-		this.add(getDayButton(triangleDayButton, 100, 65, 27, 27, "TriangleDayTip", Day.TRIANGLE), null);
-		this.add(getDayButton(triangleInvDayButton, 130, 65, 27, 27, "TriangleInvDayTip", Day.TRIANGLE_INV), null);
-		this.add(getDayButton(squareDayButton, 160, 65, 27, 27, "SquareDayTip", Day.SQUARE), null);
-		this.add(getDayButton(circleDayButton, 160, 95, 27, 27, "CircleDayTip", Day.CIRCLE), null);
-		this.add(getMoorButton(mooringTopButton, 40, 95, 27, 27, "MooringTopTip"), null);
+		this.add(getTopButton(noTopButton, 40, 5, 27, 27, "NoTop", Top.NONE), null);
+		this.add(getTopButton(canTopButton, 70, 5, 27, 27, "CanTop", Top.CAN), null);
+		this.add(getTopButton(coneTopButton, 100, 5, 27, 27, "ConeTop", Top.CONE), null);
+		this.add(getTopButton(sphereTopButton, 130, 5, 27, 27, "SphereTop", Top.SPHERE), null);
+		this.add(getTopButton(XTopButton, 160, 5, 27, 27, "XTop", Top.X_SHAPE), null);
+		this.add(getTopButton(northTopButton, 40, 35, 27, 27, "NorthTop", Top.NORTH), null);
+		this.add(getTopButton(southTopButton, 70, 35, 27, 27, "SouthTop", Top.SOUTH), null);
+		this.add(getTopButton(eastTopButton, 100, 35, 27, 27, "EastTop", Top.EAST), null);
+		this.add(getTopButton(westTopButton, 130, 35, 27, 27, "WestTop", Top.WEST), null);
+		this.add(getTopButton(spheres2TopButton, 160, 35, 27, 27, "Spheres2Top", Top.SPHERES2), null);
+		this.add(getDayButton(boardDayButton, 40, 65, 27, 27, "BoardDay", Day.BOARD), null);
+		this.add(getDayButton(diamondDayButton, 70, 65, 27, 27, "DiamondDay", Day.DIAMOND), null);
+		this.add(getDayButton(triangleDayButton, 100, 65, 27, 27, "TriangleDay", Day.TRIANGLE), null);
+		this.add(getDayButton(triangleInvDayButton, 130, 65, 27, 27, "TriangleInvDay", Day.TRIANGLE_INV), null);
+		this.add(getDayButton(squareDayButton, 160, 65, 27, 27, "SquareDay", Day.SQUARE), null);
+		this.add(getDayButton(circleDayButton, 160, 95, 27, 27, "CircleDay", Day.CIRCLE), null);
+		this.add(getMoorButton(mooringTopButton, 40, 95, 27, 27, "MooringTop"), null);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 26087)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 26096)
@@ -464,10 +464,7 @@
 		ChrMAP.put(EnumSet.of(Chr.FIXED), "F");
 		ChrMAP.put(EnumSet.of(Chr.FLASH), "Fl");
-		ChrMAP.put(EnumSet.of(Chr.FIXED, Chr.FLASH), "FFl");
 		ChrMAP.put(EnumSet.of(Chr.LONGFLASH), "LFl");
 		ChrMAP.put(EnumSet.of(Chr.QUICK), "Q");
-		ChrMAP.put(EnumSet.of(Chr.QUICK, Chr.LONGFLASH), "Q+LFl");
 		ChrMAP.put(EnumSet.of(Chr.VERYQUICK), "VQ");
-		ChrMAP.put(EnumSet.of(Chr.VERYQUICK, Chr.LONGFLASH), "VQ+LFl");
 		ChrMAP.put(EnumSet.of(Chr.ULTRAQUICK), "UQ");
 		ChrMAP.put(EnumSet.of(Chr.INTERRUPTEDQUICK), "IQ");
@@ -480,6 +477,15 @@
 		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.FIXED), "Al.F");
 		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.FLASH), "Al.Fl");
+		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.FIXED, Chr.FLASH), "F.Al.Fl");
+		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.LONGFLASH), "Al.LFl");
 		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.ISOPHASED), "Al.Iso");
 		ChrMAP.put(EnumSet.of(Chr.ALTERNATING, Chr.OCCULTING), "Al.Oc");
+		ChrMAP.put(EnumSet.of(Chr.FIXED, Chr.FLASH), "FFl");
+		ChrMAP.put(EnumSet.of(Chr.FIXED, Chr.LONGFLASH), "FLFl");
+		ChrMAP.put(EnumSet.of(Chr.OCCULTING, Chr.FLASH), "OcFl");
+		ChrMAP.put(EnumSet.of(Chr.FLASH, Chr.LONGFLASH), "FlLFl");
+		ChrMAP.put(EnumSet.of(Chr.QUICK, Chr.LONGFLASH), "Q+LFl");
+		ChrMAP.put(EnumSet.of(Chr.VERYQUICK, Chr.LONGFLASH), "VQ+LFl");
+		ChrMAP.put(EnumSet.of(Chr.ULTRAQUICK, Chr.LONGFLASH), "UQ+LFl");
 	}
 	
